import{s as st,n as ot,o as rt}from"../chunks/scheduler.182ea377.js";import{S as mt,i as dt,g as o,s as a,r as _,A as lt,h as r,f as i,c as s,j as D,u as x,x as N,k as C,y as L,a as n,v as G,d as E,t as U,w as T}from"../chunks/index.abf12888.js";import{D as Z}from"../chunks/Docstring.93f6f462.js";import{H as O}from"../chunks/Heading.16916d63.js";function ct(tt){let m,H,P,M,f,I,u,et="Customized activation functions for supporting various models in 🤗 Diffusers.",z,p,S,d,h,Q,w,it="GELU activation function with tanh approximation support with <code>approximate=&quot;tanh&quot;</code>.",V,v,W,l,g,X,A,nt='A <a href="https://arxiv.org/abs/2002.05202" rel="nofollow">variant</a> of the gated linear unit activation function.',j,$,k,c,b,Y,y,at=`The approximate form of the Gaussian Error Linear Unit (GELU). For more details, see section 2 of this
<a href="https://arxiv.org/abs/1606.08415" rel="nofollow">paper</a>.`,F,q,R;return f=new O({props:{title:"Activation functions",local:"activation-functions",headingTag:"h1"}}),p=new O({props:{title:"GELU",local:"diffusers.models.activations.GELU",headingTag:"h2"}}),h=new Z({props:{name:"class diffusers.models.activations.GELU",anchor:"diffusers.models.activations.GELU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"approximate",val:": str = 'none'"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.GELU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.GELU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.GELU.approximate",description:"<strong>approximate</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014; If <code>&quot;tanh&quot;</code>, use tanh approximation.",name:"approximate"},{anchor:"diffusers.models.activations.GELU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/v0.27.1/src/diffusers/models/activations.py#L49"}}),v=new O({props:{title:"GEGLU",local:"diffusers.models.activations.GEGLU",headingTag:"h2"}}),g=new Z({props:{name:"class diffusers.models.activations.GEGLU",anchor:"diffusers.models.activations.GEGLU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.GEGLU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.GEGLU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.GEGLU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/v0.27.1/src/diffusers/models/activations.py#L77"}}),$=new O({props:{title:"ApproximateGELU",local:"diffusers.models.activations.ApproximateGELU",headingTag:"h2"}}),b=new Z({props:{name:"class diffusers.models.activations.ApproximateGELU",anchor:"diffusers.models.activations.ApproximateGELU",parameters:[{name:"dim_in",val:": int"},{name:"dim_out",val:": int"},{name:"bias",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.activations.ApproximateGELU.dim_in",description:"<strong>dim_in</strong> (<code>int</code>) &#x2014; The number of channels in the input.",name:"dim_in"},{anchor:"diffusers.models.activations.ApproximateGELU.dim_out",description:"<strong>dim_out</strong> (<code>int</code>) &#x2014; The number of channels in the output.",name:"dim_out"},{anchor:"diffusers.models.activations.ApproximateGELU.bias",description:"<strong>bias</strong> (<code>bool</code>, defaults to True) &#x2014; Whether to use a bias in the linear layer.",name:"bias"}],source:"https://github.com/huggingface/diffusers/blob/v0.27.1/src/diffusers/models/activations.py#L106"}}),{c(){m=o("meta"),H=a(),P=o("p"),M=a(),_(f.$$.fragment),I=a(),u=o("p"),u.textContent=et,z=a(),_(p.$$.fragment),S=a(),d=o("div"),_(h.$$.fragment),Q=a(),w=o("p"),w.innerHTML=it,V=a(),_(v.$$.fragment),W=a(),l=o("div"),_(g.$$.fragment),X=a(),A=o("p"),A.innerHTML=nt,j=a(),_($.$$.fragment),k=a(),c=o("div"),_(b.$$.fragment),Y=a(),y=o("p"),y.innerHTML=at,F=a(),q=o("p"),this.h()},l(t){const e=lt("svelte-u9bgzb",document.head);m=r(e,"META",{name:!0,content:!0}),e.forEach(i),H=s(t),P=r(t,"P",{}),D(P).forEach(i),M=s(t),x(f.$$.fragment,t),I=s(t),u=r(t,"P",{"data-svelte-h":!0}),N(u)!=="svelte-us8qu2"&&(u.textContent=et),z=s(t),x(p.$$.fragment,t),S=s(t),d=r(t,"DIV",{class:!0});var B=D(d);x(h.$$.fragment,B),Q=s(B),w=r(B,"P",{"data-svelte-h":!0}),N(w)!=="svelte-1uqox6j"&&(w.innerHTML=it),B.forEach(i),V=s(t),x(v.$$.fragment,t),W=s(t),l=r(t,"DIV",{class:!0});var J=D(l);x(g.$$.fragment,J),X=s(J),A=r(J,"P",{"data-svelte-h":!0}),N(A)!=="svelte-120b58p"&&(A.innerHTML=nt),J.forEach(i),j=s(t),x($.$$.fragment,t),k=s(t),c=r(t,"DIV",{class:!0});var K=D(c);x(b.$$.fragment,K),Y=s(K),y=r(K,"P",{"data-svelte-h":!0}),N(y)!=="svelte-1e2dlz3"&&(y.innerHTML=at),K.forEach(i),F=s(t),q=r(t,"P",{}),D(q).forEach(i),this.h()},h(){C(m,"name","hf:doc:metadata"),C(m,"content",ft),C(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),C(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,e){L(document.head,m),n(t,H,e),n(t,P,e),n(t,M,e),G(f,t,e),n(t,I,e),n(t,u,e),n(t,z,e),G(p,t,e),n(t,S,e),n(t,d,e),G(h,d,null),L(d,Q),L(d,w),n(t,V,e),G(v,t,e),n(t,W,e),n(t,l,e),G(g,l,null),L(l,X),L(l,A),n(t,j,e),G($,t,e),n(t,k,e),n(t,c,e),G(b,c,null),L(c,Y),L(c,y),n(t,F,e),n(t,q,e),R=!0},p:ot,i(t){R||(E(f.$$.fragment,t),E(p.$$.fragment,t),E(h.$$.fragment,t),E(v.$$.fragment,t),E(g.$$.fragment,t),E($.$$.fragment,t),E(b.$$.fragment,t),R=!0)},o(t){U(f.$$.fragment,t),U(p.$$.fragment,t),U(h.$$.fragment,t),U(v.$$.fragment,t),U(g.$$.fragment,t),U($.$$.fragment,t),U(b.$$.fragment,t),R=!1},d(t){t&&(i(H),i(P),i(M),i(I),i(u),i(z),i(S),i(d),i(V),i(W),i(l),i(j),i(k),i(c),i(F),i(q)),i(m),T(f,t),T(p,t),T(h),T(v,t),T(g),T($,t),T(b)}}}const ft='{"title":"Activation functions","local":"activation-functions","sections":[{"title":"GELU","local":"diffusers.models.activations.GELU","sections":[],"depth":2},{"title":"GEGLU","local":"diffusers.models.activations.GEGLU","sections":[],"depth":2},{"title":"ApproximateGELU","local":"diffusers.models.activations.ApproximateGELU","sections":[],"depth":2}],"depth":1}';function ut(tt){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $t extends mt{constructor(m){super(),dt(this,m,ut,ct,st,{})}}export{$t as component};
